Bug 52052 - [UITest] Visual Studio Android & iOS templates have comment that refer to "Unit Tests" pad which only exists in Xamarin Studio
Summary: [UITest] Visual Studio Android & iOS templates have comment that refer to "Un...
Status: RESOLVED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Test Cloud (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: Normal trivial
Target Milestone: 4.3.1 (C9SR1)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-01-30 23:55 UTC by Kent Green [MSFT]
Modified: 2017-10-05 15:31 UTC (History)
7 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Kent Green [MSFT] 2017-01-30 23:55:21 UTC
## Overview
From this forum thread: 
https://forums.xamarin.com/discussion/comment/249416#Comment_249416

The comment produced in the Android & iOS UITest templates shows the following comment:
> // TODO: If the Android app being tested is included in the solution then open
> // the Unit Tests window, right click Test Apps, select Add App Project
> // and select the app projects that should be tested.

Note: The "Cross-Platform" UITest template designed to work with both Android & iOS from a single UITest project does not have this comment and is thus not included in this bug.

The comment is accurate when working in Xamarin Studio; however it is not correct when working in Visual Studio. In this case, the window it should refer to is "Test > Windows > Test Explorer" per https://developer.xamarin.com/guides/testcloud/uitest/working-with/running-tests-in-ide/

## Steps to reproduce
1. Create a new UITest project from one of the following templates:
> File > New Project > Installed >Templates > Test > UI Test App (Xamarin.UITest | Android)
> File >New Project > Installed >Templates > Test > UI Test App (Xamarin.UITest | iOS)

2. Open "Tests.cs" in the newly created UITest project, and you should see the incorrect comment noted in the overview.

## Build Information
Jimmy Garrido was able to reproduce this issue in Visual Studio 2015 & provided the full version info here:
Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA031
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Visual Basic 2015   00322-80000-00000-AA031
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA031
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA031
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-80000-00000-AA031
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.17.00119.9
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1 (Beta8)   14.1.11107.0
ASP.NET and Web Tools 2015.1 (Beta8)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GitHub.VisualStudio   2.1.1.5
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.4.4
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60519.0
Microsoft SQL Server Data Tools

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.2.2.11 (00fa5cc)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.42 (501e63c)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.3.1.8 (7beaef4)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 2 Joaquin Jares 2017-06-05 15:56:47 UTC
Fixed via fcc5abb37ffc8ecebb4f090fac1d49a6812c5376

Note You need to log in before you can comment on or make changes to this bug.